TermAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.TermAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class TermAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
              org.apache.lucene.analysis.tokenattributes.TermAttributeImpl

All Implemented Interfaces:
  Serializable, Appendable, CharSequence, Cloneable, CharTermAttribute, TermAttribute, Attribute

Direct Known Subclasses:
  Token

Deprecated. This class is not used anymore. The backwards layer in AttributeFactory uses the replacement implementation.

    @Deprecated
    public class TermAttributeImpl

extends CharTermAttributeImpl

The term text of a Token.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`TermAttributeImpl()` Deprecated.

Method Summary

Methods inherited from class org.apache.lucene.analysis.tokenattributes.CharTermAttributeImpl
`append, append, append, append, append, append, buffer, charAt, clear, clone, copyBuffer, copyTo, equals, hashCode, length, reflectWith, resizeBuffer, resizeTermBuffer, setEmpty, setLength, setTermBuffer, setTermBuffer, setTermBuffer, setTermLength, subSequence, term, termBuffer, termLength, toString`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`reflectAsString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermAttributeImpl

    public TermAttributeImpl()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD